Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3803 - no 'hostid' command like on solaris.
Summary: no 'hostid' command like on solaris.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux
Version: 6.0
Hardware: sparc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-29 16:14 UTC by Peter Jones
Modified: 2015-01-07 23:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-03 15:12:31 UTC


Attachments (Terms of Use)

Description Peter Jones 1999-06-29 16:14:37 UTC
#!/bin/bash
# this should be /usr/bin/hostid or somesuch.
# Copyright 1999 Peter Jones, <pjones@redhat.com> .
# GPL and all that good stuff apply.
(
idprom=`cat /proc/openprom/idprom`
echo $idprom|dd bs=1 skip=2 count=2
echo $idprom|dd bs=1 skip=27 count=6
echo
) 2>/dev/null

Comment 1 Jay Turner 1999-06-29 17:04:59 UTC
Recommendation has been forwarded to package developer/maintainer.

Comment 2 Jeff Johnson 1999-08-03 15:12:59 UTC
Added to util-linux-2.9v-17 (finally:-). Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.